/**
Filename: GUD900_Interface.h
Purpose: Establish a communication interface between an
		 Arduino Uno board and a Noritake GUD display 
		 module through Asynchronous Serial, SPI, or TWI. 
		 These interfaces feature both read and write functionality.
Author: Cody Johnson
Email: cody.ele@noritake.com
Note: GU7000_Interface.h was heavily referenced while
	  writing this file.
*/

#include "Arduino.h"
#include <stddef.h>
#include <util/delay.h>

#define DIRECTION(X, D)  if (D) pinMode(X##_PIN, OUTPUT); else pinMode(X##_PIN, INPUT)
#define RAISE(X)		digitalWrite(X##_PIN, HIGH)
#define LOWER(X)		digitalWrite(X##_PIN, LOW)
#define CHECK(X)		digitalRead(X##_PIN)

class GUD900_Interface{
public:
	virtual void init() = 0;
	virtual void write(uint8_t data) = 0;
	virtual void hardReset() = 0;
	
	unsigned getModelClass;
};