/*
Filename: Proportional.ino
Purpose: Demonstrate the different font styles of text
		 for the display module.
Author: Cody Johnson
Email: cody.ele@noritake.com
*/

#include <GUD900_Interface.h>
#include <GUD900_Serial_Async.h>
#include <GUD900_Serial_SPI.h>
#include <GUD900_TWI.h>
#include <Noritake_VFD_GUD900.h>

//Uncomment the interface that you wish to use.
GUD900_Serial_Async interface(38400, 3, 4, 5, 7); //(BAUD, OUT, IN, BUSY, RESET)
//GUD900_Serial_SPI interface (3, 4, 5, 6, 7, 8); //(MOSI, MISO, BUSY, SCK, RESET, CS)
//GUD900_TWI interface (0x50, 400000, 6, 7, 8); //(slaveAddress, clockFrequency, MBUSY, TRDY, RESET)

Noritake_VFD_GUD900 vfd;

void setup() {
  _delay_ms(500);
  vfd.begin(128, 32);
  vfd.interface(interface);
  vfd.isModelClass(903);
  vfd.isGeneration('S');
  vfd.GUD900_reset();
  vfd.GUD900_init();
  // Demonstrates the difference between fixed
  // and proportional fonts.
  vfd.GUD900_setFontStyle(false, false);
  vfd.println("fixed: lorem ipsum");
  vfd.GUD900_setFontStyle(true, false);
  vfd.print("proportional: lorem ipsum");
}

void loop() {

}
