/*
Filename: UserInputDemo.ino
Purpose: Demonstrate the module's ability to print
		 text taken from the Arduio serial monitor.
Author: Cody Johnson
Email: cody.ele@noritake.com
*/

#include <GUD900_Interface.h>
#include <GUD900_Serial_Async.h>
#include <GUD900_Serial_SPI.h>
#include <GUD900_TWI.h>
#include <Noritake_VFD_GUD900.h>

//Uncomment the interface that you wish to use.
GUD900_Serial_Async interface(38400, 3, 4, 5, 7); //(BAUD, OUT, IN, BUSY, RESET)
//GUD900_Serial_SPI interface (3, 4, 5, 6, 7, 8); //(MOSI, MISO, BUSY, SCK, RESET, CS)
//GUD900_TWI interface (0x50, 400000, 6, 7, 8); //(slaveAddress, clockFrequency, MBUSY, TRDY, RESET)

Noritake_VFD_GUD900 vfd;
boolean first = true;

void setup()
{
	_delay_ms(500);
	Serial.begin(9600);
	vfd.begin(128, 32);
	vfd.interface(interface);
	vfd.isModelClass(903);
	vfd.isGeneration('S');
	vfd.GUD900_reset();
	vfd.GUD900_init();
	
	vfd.print("Use serial monitorto type to display");
	vfd.print("` or ~ will clear the display");
}

void loop()
{
	userInput();
}

/**********************************************************
Method: userInput
Purpose: Allow the user to enter a string of characters
         into the serial monitor and display that string on the
         display.
Input: None
Returns: Void 
**********************************************************/
void userInput(){
	while(Serial.available()){
		int input = Serial.read();
		if(first == true){
			vfd.GUD900_clearScreen();
			first = false;
		}
		if(input == 126 || input == 96){
			vfd.GUD900_setCursor(0, 0);
			vfd.GUD900_clearScreen();
      vfd.println("");
      vfd.println("");
      vfd.println("");
		}else if(input != 10 || input != 13){
			//vfd.GUD900_clearScreen();
			vfd.print(input);
			Serial.write(input);
		}
	}  
}
